Package ipfs.gomobile.android.bledriver

## Class GattServer

- java.lang.Object
- - ipfs.gomobile.android.bledriver.GattServer

-     public class GattServer
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ATT_HEADER_SIZE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GattServer​(android.content.Context context, BleDriver bleDriver, Logger logger, android.bluetooth.BluetoothManager bluetoothManager)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `android.bluetooth.BluetoothServerSocket` | `getBluetoothServerSocket()` |
    `android.bluetooth.BluetoothGattServer` | `getGattServer()` |
    `int` | `getL2capPSM()` |
    `boolean` | `isStarted()` |
    `void` | `setStarted​(boolean started)` |
    `boolean` | `start​(java.lang.String peerID)` |
    `void` | `stop()` |
    `boolean` | `writeAndNotify​(PeerDevice device, byte[] payload)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ATT_HEADER_SIZE

          public static final int ATT_HEADER_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GattServer

          public GattServer​(android.content.Context context,
                            BleDriver bleDriver,
                            Logger logger,
                            android.bluetooth.BluetoothManager bluetoothManager)

  - ### Method Detail

    - #### getBluetoothServerSocket

          public android.bluetooth.BluetoothServerSocket getBluetoothServerSocket()

    - #### start

          public boolean start​(java.lang.String peerID)

    - #### getL2capPSM

          public int getL2capPSM()

    - #### getGattServer

          public android.bluetooth.BluetoothGattServer getGattServer()

    - #### isStarted

          public boolean isStarted()

    - #### setStarted

          public void setStarted​(boolean started)

    - #### stop

          public void stop()

    - #### writeAndNotify

          public boolean writeAndNotify​(PeerDevice device,
                                        byte[] payload)